Package ru.bitel.bgbilling.kernel.network.radius

# Class RadiusAttributeInfo<V>

java.lang.Object
ru.bitel.bgbilling.kernel.network.tlv.TlvInfo<RadiusAttributeInfo<?>,V,RadiusAttributeInfo.RadiusAttributeHeader>
ru.bitel.bgbilling.kernel.network.radius.RadiusAttributeInfo<V>

All Implemented Interfaces:
  `Iterable<RadiusAttributeInfo<?>>`

public abstract class RadiusAttributeInfo<V> extends TlvInfo<RadiusAttributeInfo<?>,V,RadiusAttributeInfo.RadiusAttributeHeader>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RadiusAttributeInfo.RadiusAttributeHeader`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final boolean`
  `addAvpName`
  `protected final boolean`
  `continuation`
  WiMax continuation
  `protected boolean`
  `fragmented`
  EAP;
  `protected final int`
  `tag`
  `final int`
  `vendor`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.tlv.TlvInfo

  `children, childrenList, childrenMap, name, nameChildrenMap, paramLengthLength, paramTypeLength, parent, type, TYPE_ABINARY, TYPE_BYTE, TYPE_DOUBLE, TYPE_FLOAT, TYPE_INTEGER, TYPE_IPADDR, TYPE_IPV6ADDR, TYPE_IPV6PREFIX, TYPE_LONG, TYPE_OCTETS, TYPE_SHORT, TYPE_STRING, TYPE_TLV, valueType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RadiusAttributeInfo(int vendor, int code, String name, int valueType, int tag, int paramTypeSize, int paramLengthSize, boolean continuation, boolean addAvpName, List<RadiusAttributeInfo<?>> children)`
  `RadiusAttributeInfo(int vendor, int code, String name, int valueType, Element attr, List<RadiusAttributeInfo<?>> children)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RadiusAttribute<?>`
  `read(ByteBuffer bb, RadiusAttributeInfo.RadiusAttributeHeader header)`
  Нам уже известны тип и длина - читаем дальше
  `protected ByteBuffer`
  `readWithContinuation(ByteBuffer dataWithoutTag, ByteBuffer bb)`
  `protected ByteBuffer`
  `tagUnwrap(ByteBuffer data, RadiusAttributeInfo.RadiusAttributeHeader header)`
  `String`
  `toString()`
  `void`
  `write(RadiusAttribute<?> attribute, ByteBuffer bb)`
  `protected void`
  `writeAttribute(int tag, ByteBuffer[] data, ByteBuffer bb)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.network.tlv.TlvInfo

  `getChild, getChild, iterator, readTypeLength, setParent, sliceData, unwrapValue, valueToString, wrapValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Field Details

  - ### vendor

    public final int vendor

  - ### addAvpName

    protected final boolean addAvpName

  - ### tag

    protected final int tag

  - ### continuation

    protected final boolean continuation
    WiMax continuation

  - ### fragmented

    protected boolean fragmented
    EAP;

- ## Constructor Details

  - ### RadiusAttributeInfo

    public RadiusAttributeInfo(int vendor, int code, String name, int valueType, int tag, int paramTypeSize, int paramLengthSize, boolean continuation, boolean addAvpName, List<RadiusAttributeInfo<?>> children)

  - ### RadiusAttributeInfo

    public RadiusAttributeInfo(int vendor, int code, String name, int valueType, Element attr, List<RadiusAttributeInfo<?>> children)

- ## Method Details

  - ### read

    public RadiusAttribute<?> read(ByteBuffer bb, RadiusAttributeInfo.RadiusAttributeHeader header)
    Нам уже известны тип и длина - читаем дальше
    Specified by:
      `read` in class `TlvInfo<RadiusAttributeInfo<?>,V,RadiusAttributeInfo.RadiusAttributeHeader>`

  - ### tagUnwrap

    protected ByteBuffer tagUnwrap(ByteBuffer data, RadiusAttributeInfo.RadiusAttributeHeader header)

  - ### readWithContinuation

    protected ByteBuffer readWithContinuation(ByteBuffer dataWithoutTag, ByteBuffer bb)

  - ### write

    public void write(RadiusAttribute<?> attribute, ByteBuffer bb)

  - ### writeAttribute

    protected void writeAttribute(int tag, ByteBuffer[] data, ByteBuffer bb)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `TlvInfo<RadiusAttributeInfo<?>,V,RadiusAttributeInfo.RadiusAttributeHeader>`